# $Revision: 1.15 $, $Date: 2008-05-10 14:58:16 $
#
# Conditional build:
%bcond_without	static_libs # don't build static libraries
#
Summary:	Library to create and read several different archive formats
Summary(pl.UTF-8):	Biblioteka do tworzenia i odczytu różnych formatów archiwów
Name:		libarchive
Version:	2.4.17
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://people.freebsd.org/~kientzle/libarchive/src/%{name}-%{version}.tar.gz
# Source0-md5:	13a6dd5f21b08713dccdd6489685fe77
Patch0:		%{name}-man_progname.patch
URL:		http://people.freebsd.org/~kientzle/libarchive/
BuildRequires:	acl-devel
BuildRequires:	attr-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
# for <ext2fs/ext2_fs.h>
BuildRequires:	e2fsprogs-devel
BuildRequires:	libtool
BuildRequires:	sharutils
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libarchive is a programming library that can create and read several
different streaming archive formats, including most popular TAR
variants and several CPIO formats. It can also write SHAR archives.

%description -l pl.UTF-8
Libarchive jest biblioteką służacą to tworzenia i odczytu wielu
różnych strumieniowych formatów archiwów, włączając w to popularne
odmiany TAR oraz wiele formatów CPIO. Biblioteka ta potrafi także
zapisywać archiwa SHAR.

%package devel
Summary:	Header files for libarchive library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libarchive
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	acl-devel
Requires:	attr-devel
Requires:	bzip2-devel
Requires:	zlib-devel

%description devel
Header files for libarchive library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libarchive.

%package static
Summary:	Static libarchive library
Summary(pl.UTF-8):	Statyczna biblioteka libarchive
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libarchive library.

%description static -l pl.UTF-8
Statyczna biblioteka libarchive.

%package -n bsdtar
Summary:	bsdtar - tar(1) implementation based on libarchive
Summary(pl.UTF-8):	bsdtar - implementacja programu tar(1) oparta na libarchive
Group:		Applications/Archiving
Requires:	%{name} = %{version}-%{release}

%description -n bsdtar
bsdtar - tar(1) implementation based on libarchive.

%description -n bsdtar -l pl.UTF-8
bsdtar - implementacja programu tar(1), oparta na libarchive.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static=%{?with_static_libs:yes}%{!?with_static_libs:no}
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libarchive.so.*.*.*
%attr(755,root,root) %{_libdir}/libarchive.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libarchive.so
%{_libdir}/libarchive.la
%{_includedir}/*.h
%{_mandir}/man3/*
%{_mandir}/man5/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libarchive.a
%endif

%files -n bsdtar
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bsdtar
%{_mandir}/man1/bsdtar.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libarchive.spec,v $
Revision 1.15  2008-05-10 14:58:16  areq
- 2.4.17

Revision 1.14  2008-02-16 12:01:24  rotom
- up to 2.4.12

Revision 1.13  2008-01-04 00:55:41  zbyniu
- up to 2.4.11

Revision 1.12  2007-12-27 00:23:30  zbyniu
- up to 2.4.9

Revision 1.11  2007-10-29 23:10:56  twittner
- up to 2.3.5

Revision 1.10  2007/10/27 22:33:25  areq
- 2.3.4

Revision 1.9  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.7  2006/12/13 22:12:46  glen
- rel 1

Revision 1.6  2006/11/15 10:41:28  qboosh
- BR: acl-devel,attr-devel
- devel deps

Revision 1.5  2006/11/08 22:22:25  twittner
- up to 1.3.1
- added BR: e2fsprogs-devel
- added -CVE-2006-5680.patch agains entering in infinite
  loop in corrupt archives
- added bsdtar package (bsdtar is included now in libarchive
  sources)
- rel. 0.1 for testing

Revision 1.4  2005/12/15 18:26:36  twittner
- up to 1.2.37
- removed -shared.patch (no longer needed)

Revision 1.3  2005/10/05 17:00:12  arekm
- up to 1.02.034

Revision 1.2  2005/07/27 20:17:21  qboosh
- typo

Revision 1.1  2005/07/27 08:36:03  adamg
- new
